import { defineProperty as _defineProperty } from './_virtual/_rollupPluginBabelHelpers.mjs';
import { MetaplexError } from '@lorisleiva/js-core';

/** @group Errors */
class BeetSerializerError extends MetaplexError {
  constructor(message, cause) {
    super(message, 'plugin', 'Beet Serializer', cause);
    _defineProperty(this, "name", 'BeetSerializerError');
  }
}
class OperationNotSupportedError extends BeetSerializerError {
  constructor(operation) {
    super(`The operation [${operation}] is ` + `not supported by the Beet Serializer.`);
    _defineProperty(this, "name", 'OperationNotSupportedError');
  }
}
class DeserializingEmptyBufferError extends BeetSerializerError {
  constructor(serializer) {
    super(`Serializer [${serializer}] cannot deserialize empty buffers.`);
    _defineProperty(this, "name", 'DeserializingEmptyBufferError');
  }
}

export { BeetSerializerError, DeserializingEmptyBufferError, OperationNotSupportedError };
//# sourceMappingURL=errors.mjs.map
